<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use App\Models\DeviceToken;
class DeviceTokenController extends Controller
{
    public function storeToken(Request $request)
{
    $validator = Validator::make($request->all(), [
        'device_token' => 'required',
        'device_name' => 'required',
    ]);

    if ($validator->fails()) {
        return response()->json(['message' => 'Require all the details'], 400);
    }

    $user = auth()->user(); // Assuming you are using Laravel's built-in authentication

    // Check if a device token already exists for the user
    $deviceToken = DeviceToken::where('user_id', $user->id)->first();

    if ($deviceToken) {
        // Update the existing device token
        $deviceToken->update([
            'device_token' => $request->input('device_token'),
            'device_name' => $request->input('device_name'),
        ]);
    } else {
        // Create a new device token for the user
        $data = $request->all();
        $data['user_id'] = $user ? $user->id : null; // Assign the user_id if authenticated, otherwise set to null

        $saved = DeviceToken::create($data);
        if (!$saved) {
            return response()->json(['message' => 'Token could not be saved'], 500);
        }
    }

    return response()->json(['message' => 'Token saved successfully'], 200);
}

    public function updateDeviceToken(Request $request) {
        $this->validate($request, [
            'device_token' => 'required',
        ]);
        
        $deviceToken = new DeviceToken;
        $deviceToken->device_token = $request->device_token;
        $deviceToken->save();

        return response()->json([
            'status' => 'success',
            'message' => 'Device Token successfully updated.',
        ], 404);
    }
}
