<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\FreeToken;

class FreeTokenController extends Controller
{
    //


    public function index()
    {
        $freeTokens = FreeToken::all();
        return view('admin.freetokens.index', compact('freeTokens'))->with('no', 1);
    }

    public function store(Request $request)
    {
        $validatedData = $request->validate([
            'tokens' => 'required|integer',
        ]);

        $freeToken = FreeToken::create($validatedData);

        return response()->json([
            'status' => 'success',
            'message' => 'Free token created successfully',
            'data' => $freeToken,
        ], 201);
    }

    public function edit(FreeToken $freeToken)
    {
        // dd($freeToken);
        return view('admin.freetokens.edit', compact('freeToken'));
    }

    // Update function to update an existing free token record
    public function update(Request $request, $id)
    {
        $freeToken = FreeToken::findOrFail($id);

    
        $validatedData = $request->validate([
            'tokens' => 'required|integer',
        ]);

        $freeToken->update($validatedData);

        return redirect()->route('admin.freetokens.index')->with('success', 'Packeg updated successfully.');
    }
}
