<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use App\Models\OTPMail;
use Illuminate\Http\Request;

class OTPMailController extends Controller
{
    public function showOTPMailForm()
    {
        return view('admin.settings.otp_mail')->with('otpMail', OTPMail::first());
    }

    public function updateOTPMail(Request $request){
        $this->validate($request, [
            'mail_host' => 'required',
            'mail_port' => 'required',
            'mail_username' => 'required',
            'mail_password' => 'required',
            'mail_encryption' => 'required',
            'mail_from_address' => 'required'
        ]);

        $otpMail = OTPMail::first();

        $otpMail->mail_host = $request->mail_host;
        $otpMail->mail_port = $request->mail_port;
        $otpMail->mail_username = $request->mail_username;
        $otpMail->mail_password = $request->mail_password;
        $otpMail->mail_encryption = $request->mail_encryption;
        $otpMail->mail_from_address = $request->mail_from_address;
        $otpMail->save();

        return redirect()->back()->with('message', 'OTP Mail configuration updated.');
    }
}
