<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\PaymentDetails;

class PaymentDetailsController extends Controller
{
    public function saveOrUpdatePaymentDetails(Request $request) {
    try {
        $validator = $request->validate([
            'user_id' => 'required|integer',
            'invoice_id' => 'required',
            'product_id' => 'required|integer',
            'amount' => 'required|numeric',
            'fee' => 'required|numeric',
            'charged_amount' => 'required|numeric',
            'payment_method' => 'required',
            'transaction_id' => 'required|string',
            'date' => 'required',
            'status' => 'required',
        ]);

        $paymentDetails = new PaymentDetails;

        $paymentDetails->user_id = $request->user_id;
        $paymentDetails->invoice_id = $request->invoice_id;
        $paymentDetails->product_id = $request->product_id;
        $paymentDetails->amount = $request->amount;
        $paymentDetails->fee = $request->fee;
        $paymentDetails->charged_amount = $request->charged_amount;
        $paymentDetails->payment_method = $request->payment_method;
        $paymentDetails->sender_number = $request->sender_number;
        $paymentDetails->transaction_id = $request->transaction_id;
        $paymentDetails->date = $request->date;
        $paymentDetails->status = $request->status;
        $paymentDetails->save();

        return response()->json([
            'status' => 'success',
            'message' => 'Payment successfully.',
        ], 200);
    } catch (Exception $e) {
        return "Error: " . $e->getMessage();
    }
}

}
