<?php

namespace App\Http\Controllers;

use App\Models\PromptsCategory;

use Illuminate\Http\Request;
use Illuminate\Http\Response;

class PromptsCategoryController extends Controller
{
    private $country;

    public function getAllCountries(){
        $promptsCategories = PromptsCategory::orderBy('id', 'DESC')->get();
        

        return response()->json([
            'status' => 'success',
            'message' => 'Countries retrieved successfully.',
            'data' => $promptsCategories
        ], 200);
    }

    public function getAllCategoryPrompts()
    {
        $categories = PromptsCategory::with('prompts')->get();

        return response()->json($categories);
    }

    //admin
    public function index()
    {
        $categories = PromptsCategory::all();
        return view('admin.prompts_categories.index', compact('categories'))->with('no', 1);
    }

    public function create()
    {
        return view('admin.prompts_categories.create');
    }

    public function store(Request $request)
    {
        $validatedData = $request->validate([
            'name' => 'required|string|max:255',
            'flag_name' => 'required',
        ]);

        $image                  = $request->file('flag_name');
        $imageName              = rand(1,999).'.'.$image->getClientOriginalName();
        $timestamp              = now()->timestamp;
        $directory              = 'uploads/image/';
        $imageUrl               = $directory . $timestamp . '_' . $imageName;
        $image->move($directory, $timestamp . '_' . $imageName);
        $country                =new PromptsCategory();
        $country->name          =$request->name;
        $country->flag_name     =$imageUrl;
        $country->save();
        

        return redirect()->route('prompts-categories.index')->with('success', 'Country created successfully');
    }

    public function edit($id)
    {
        $category = PromptsCategory::findOrFail($id);

        return view('admin.prompts_categories.edit', compact('category'));
    }

    public function update(Request $request, $id)
    {
        PromptsCategory::find($id);
       
       $country                 =  PromptsCategory::find($id);
       $country->name           = $request->name;

        if ($request->hasFile('flag_name')) {
            unlink($country->flag_name);

            $image              = $request->file('flag_name');
            $imageName          = rand(1,999).'.'.$image->getClientOriginalName();
            $timestamp          = now()->timestamp;
            $directory          = 'uploads/image/';
            $imageUrl           = $directory . $timestamp . '_' . $imageName; 
            $image->move($directory, $timestamp . '_' . $imageName);
            $country->flag_name = $imageUrl;
        }
        $country->save();
       

        return redirect()->route('prompts-categories.index')->with('success', 'Country Update successfully');
    }

    public function destroy($id)
    {
        $category = PromptsCategory::findOrFail($id);
        $category->delete();

        return redirect()->route('prompts-categories.index')->with('success', 'Country Delete successfully');
    }
}
