<?php

namespace App\Http\Controllers;

use App\Models\Chat;
use App\Models\Session;
use Illuminate\Http\Request;

class SessionController extends Controller
{
    public function index(Request $request)
    {
        $user = $request->user();
        $sessions = Session::where('user_id', $user->id)->get();
        return response()->json($sessions, 200);
    }

    public function store(Request $request)
    {
        $validatedData = $request->validate([
            'user_id' => 'required|exists:users,id',
            'question' => 'required|string',
        ]);

        $session = Session::create($validatedData);

        return response()->json($session, 201);
    }

    public function show(Session $session)
    {
        $session->load('user');
        return response()->json($session, 200);
    }

    public function update(Request $request, Session $session)
    {
        $validatedData = $request->validate([
            'user_id' => 'required|exists:users,id',
            'question' => 'required|string',
        ]);

        $session->update($validatedData);

        return response()->json($session, 200);
    }

    public function destroy(Session $session){
            // Delete all chats associated with the session
            Chat::where('session_id', $session->id)->delete();

            // Delete the session itself
            $session->delete();

            return response()->json(['message' => 'All chats deleted'], 200);
    }
}