<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Setting;
use Illuminate\Support\Facades\Session;


class SettingsController extends Controller
{
    public function updateOTPConfiguration(Request $request){
        $settings = Setting::first();
        
        $settings->sms_provider_key = $request->sms_provider_key;
        $settings->sms_api_key = $request->sms_api_key;
        $settings->sms_templete_id = $request->sms_templete_id;
        $settings->sms_pe_id = $request->sms_pe_id;
        $settings->save();

        return redirect()->back()->with('message', 'OTP Configuration updated.');
    }

    public function updateGeneralSettings(Request $request){
        $settings = Setting::first();

        $settings->app_fcm_key = $request->app_fcm_key;
        $settings->one_signal = $request->one_signal;
        $settings->app_version = $request->app_version;
        $settings->faq_url = $request->faq_url;
        $settings->contact_url = $request->contact_url;
        $settings->privacy_policy = $request->privacy_policy;
        $settings->terms_conditions = $request->terms_conditions;
        $settings->save();

        return redirect()->back()->with('message', 'General settings updated.');
    }


    public function smsSettings()
    {
        // Implement logic for the SMS Settings sub-section
        return view('admin.settings.sms')->with('settings', Setting::first());
    }

    public function generalSettings()
    {
        return view('admin.settings.general')->with('settings',Setting::first());
    }

    //Apis
    public function getAllSettings(){
        $settings = Setting::first();

        return response()->json([
            'status' => 'success',
            'message' => 'Settings data retrieved successfully.',
            'data' => $settings
        ], 200);
    }

    public function getAllCountries(){
        $settings = Setting::orderBy('id', 'DESC')->get();

        return response()->json([
            'status' => 'success',
            'message' => 'Settings details retrieved successfully.',
            'data' => $settings
        ], 200);
    }




}
