<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\TokensPriching;


class TokensPrichingController extends Controller
{


    public function getAllTokensPriching(){

        $tokensPriching = TokensPriching::all();

        return response()->json($tokensPriching);
    }


    public function index()
    {
        $tokensPricing = TokensPriching::all();
        return view('admin.tokens_prichings.index', compact('tokensPricing'));
    }








    public function create()
    {
        return view('admin.tokens_prichings.create');
    }

    public function store(Request $request)
    {
        $validatedData = $request->validate([
            'name' => 'required|string',
            'tokens' => 'required|string',
            'google_p_id' => 'required|string',
            'price' => 'required|string',
        ]);

        TokensPriching::create($validatedData);

        return $this->index();
    }

    public function edit($id)
    {
        $pricing = TokensPriching::findOrFail($id);
        return view('admin.tokens_prichings.edit', compact('pricing'));
    }

    public function update(Request $request, $id)
    {
        $validatedData = $request->validate([
            'name' => 'required|string',
            'tokens' => 'required|string',
            'google_p_id' => 'required|string',
            'price' => 'required|string',
        ]);

        $pricing = TokensPriching::findOrFail($id);
        $pricing->update($validatedData);

        return $this->index();
    }

    public function destroy($id)
    {
        $pricing = TokensPriching::findOrFail($id);
        $pricing->delete();

        return $this->index();
    }
}
