<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;
use App\Models\Token;


class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */

    protected $fillable = [
        'name', 
        'phone', 
        'otp', 
        'pin', 
        'login_mode', 
        'device_id', 
        'pack_id', 
        'pack_buy_date', 
        'pack_exp_date', 
        'pack_name',
        'first_name',
        'last_name',
        'email',
        'password'
    ];
    protected $dates = [
        'pack_buy_date',
        'pack_exp_date',
        
    ];
    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'remember_token',
        'password'
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    public function token()
    {
        return $this->hasOne(Token::class);
    }

    public function deviceTokens()
    {
        return $this->hasMany(DeviceToken::class);
    }

    public function chats()
    {
        return $this->hasMany(Chat::class);
    }

    public function sessions()
    {
        return $this->hasMany(Session::class);
    }
    public function paymentDetails()
    {
        return $this->hasMany(PaymentDetails::class)->latest();
    }
}
