<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use App\Models\OTPMail;
use Config;

class MailConfigServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {

    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        $this->loadMailConfig();
    }

    protected function loadMailConfig()
    {
        // Fetch mail configuration from the database
        $otpMail = OTPMail::first();

        // Set mail configuration in Laravel configuration
        Config::set('mail.mailer', $otpMail->mail_host);
        Config::set('mail.host', $otpMail->mail_host);
        Config::set('mail.port', $otpMail->mail_port);
        Config::set('mail.username', $otpMail->mail_username);
        Config::set('mail.password', $otpMail->mail_password);
        Config::set('mail.encryption', $otpMail->mail_encryption);
        Config::set('mail.from.address', $otpMail->mail_from_address);
    }
}
