<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeTokensTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('tokens', function (Blueprint $table) {
            // Change 'tokens_buy' column to allow NULL values and set default value to 0
            $table->integer('tokens_buy')->nullable()->default(0)->change();
            $table->integer('token_count')->nullable()->default(0)->change();
            $table->integer('init_credits')->nullable()->default(0)->change();
            $table->integer('credits_count')->nullable()->default(0)->change();

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
        Schema::table('tokens', function (Blueprint $table) {
            // If you need to revert the change, you can set the column back to not nullable
            $table->integer('tokens_buy')->nullable(false)->default(null)->change();
            $table->integer('token_count')->nullable(false)->default(null)->change();
            $table->integer('init_credits')->nullable(false)->default(null)->change();
            $table->integer('credits_count')->nullable(false)->default(null)->change();
        });
    }
}
