@extends('layouts.admin_layout.admin_layout')
@section('content')
  
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Settings</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{url('admin/dashboard')}}">Home</a></li>
                        <li class="breadcrumb-item active">Settings</li>
                    </ol>
                </div>
            </div>
        </div>
    </section>

    
    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <x-alert/>
            <!-- SELECT2 EXAMPLE -->
            <div class="card card-default">
                <div class="card-header">
                    <h3 class="card-title">Settings</h3>
                </div>
                <!-- /.card-header -->
                <form name="storyForm" id="storyForm" action="{{ url('admin/settings/update') }}" method="post" enctype="multipart/form-data">@csrf 
                    <div class="card-body">
                        <!-- 1st row -->
                        <div class="row ">
                            <!---->                     
                            <div class="col-sm-12">
                          	<!-- FCM KEY  -->
                            
                                <div class="center-container">
                                    <p class="centered-text">Send Notification </p>
                                </div>

                                <div class="form-group">
                                     <label for="app_fcm_key">FCM Key</label>
                                        <input type="text" class="form-control" id="app_fcm_key" name="app_fcm_key"
                                        value="{{$settings->app_fcm_key}}" placeholder="Enter Key" >
                                </div>
                                <br>

                                <!-- SMS Providers -->

                                <div class="center-container">
                                <p class="centered-text">OTP Providers </p>
                                </div>

                                <div class="form-group">
                                     <label for="sms_provider_key">SMS Provider key</label>
                                        <input type="text" class="form-control" id="sms_provider_key" name="sms_provider_key"
                                            value="{{$settings->sms_provider_key}}" placeholder="Enter key" >
                                </div>

                                <br>
                                <div class="form-group">
                                     <label for="sms_api_key">Sms Api Key</label>
                                        <input type="text" class="form-control" id="sms_api_key" name="sms_api_key"
                                            value="{{$settings->sms_api_key}}" placeholder="Enter SMS Api Key" >
                                </div>
                                <br>

                                <div class="form-group">
                                     <label for="sms_templete_id">Sms Templete Id</label>
                                        <input type="text" class="form-control" id="sms_templete_id" name="sms_templete_id"
                                            value="{{$settings->sms_templete_id}}" placeholder="Enter Sms Templete Id" >
                                </div>
                                <br>

                                <div class="form-group">
                                     <label for="sms_pe_id">Sms Pe Id</label>
                                        <input type="text" class="form-control" id="sms_pe_id" name="sms_pe_id"
                                            value="{{$settings->sms_pe_id}}" placeholder="Enter Sms Pe Id" >
                                </div>
                                <br>


                                    <!-- Payment Providers -->
                                    <div class="center-container">
                                        <p class="centered-text">Payment Providers </p>
                                    </div>


                                <div class="form-group">
                                     <label for="payment_key">Payment Url</label>
                                        <input type="text" class="form-control" id="payment_key" name="payment_key"
                                            value="{{$settings->payment_key}}" placeholder="Enter Key" >
                                </div>
                                <br>
                               

                                <div class="form-group">
                                     <label for="payment_client_id">Payment Client Id</label>
                                        <input type="text" class="form-control" id="payment_client_id" name="payment_client_id"
                                            value="{{$settings->payment_client_id}}" placeholder="Enter Key" >
                                </div>

                                <br>
                                <div class="form-group">
                                     <label for="payment_client_secret">Payment Client Secret</label>
                                        <input type="text" class="form-control" id="payment_client_secret" name="payment_client_secret"
                                            value="{{$settings->payment_client_secret}}" placeholder="Enter Key" >
                                </div>

                                <br>
                                        <!-- Chat GPT Providers -->
                                        <div class="center-container">
                                            <p class="centered-text">Chat GPT Providers </p>
                                        </div>

                                <div class="form-group">
                                     <label for="chat_gpt_api_url">Chat GPT Api Url</label>
                                        <input type="text" class="form-control" id="chat_gpt_api_url" name="chat_gpt_api_url"
                                            value="{{$settings->chat_gpt_api_url}}" placeholder="Enter Key" >
                                </div>

                                <div class="form-group">
                                     <label for="api_key">GPT Api Key</label>
                                        <input type="text" class="form-control" id="api_key" name="api_key"
                                            value="{{$settings->api_key}}" placeholder="Enter Key" >
                                </div>

                                <br>
                                        <!-- App versions -->
                                        <div class="center-container">
                                            <p class="centered-text">App versions</p>
                                        </div>

                                <div class="form-group">
                                     <label for="app_version">App versions</label>
                                        <input type="text" class="form-control" id="app_version" name="app_version"
                                            value="{{$settings->app_version}}" placeholder="Enter version" >
                                </div>

                                <br>
                                        <!-- Free Tokens -->
                                        <div class="center-container">
                                            <p class="centered-text">Free Tokens</p>
                                        </div>

                                <div class="form-group">
                                     <label for="tokens">Free Tokens</label>
                                        <input type="text" class="form-control" id="tokens" name="tokens"
                                            value="{{$settings->tokens}}" placeholder="Enter version" >
                                </div>


                                <br>
                                <!-- Privacy Policy and Terms Conditions -->
                                <div class="center-container">
                                         <p class="centered-text">Privacy Policy and Terms Conditions</p>
                                </div>
                               
                                <div class="form-group">
                                     <label for="privacy_policy">Privacy Policy Url</label>
                                        <input type="text" class="form-control" id="privacy_policy" name="privacy_policy"
                                            value="{{$settings->privacy_policy}}" placeholder="Enter version" >
                                </div>

                                <div class="form-group">
                                     <label for="terms_conditions">Terms Conditions Url</label>
                                        <input type="text" class="form-control" id="terms_conditions" name="terms_conditions"
                                            value="{{$settings->terms_conditions}}" placeholder="Enter version" >
                                </div>

                            <!-- 
                                <div class="col-sm-12">
                                    
                                    <div class="col-sm-12">
                                        
                                        <div class="form-group">
                                            <div class="form-line">
                                                <label class="font-12">Privacy Policy</label>
                                                <textarea class="textarea" placeholder="Place some text here" name="privacy_policy" id="privacy_policy" required
                                                        style="width: 100%; height: 200px; font-size: 14px; line-height: 18px; border: 1px solid #dddddd; padding: 10px;">
                                                        {{$settings->privacy_policy}}
                                                </textarea>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <br>
                                <div class="col-sm-12">
                                    
                                    <div class="col-sm-12">
                                        
                                        <div class="form-group">
                                            <div class="form-line">
                                                <label class="font-12">Terms Conditions</label>
                                                <textarea class="textarea" placeholder="Place some text here" name="terms_conditions" id="terms_conditions" required
                                                        style="width: 100%; height: 200px; font-size: 14px; line-height: 18px; border: 1px solid #dddddd; padding: 10px;">
                                                        {{$settings->terms_conditions}}
                                                </textarea>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            -->
                        </div>
                    </div>
                        
                    <div class="card-footer">
                        <button type="submit"  class="btn btn-primary">update</button>
                    </div>
                        
                </form>
                    <!--  -->
                    <div class="modal fade" id="modal-default">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title">Default Modal</h4>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <input type="text" id="generateBox" class="form-control" placeholder="Enter ..." value="" name="">
                                </div>

                                <div class="modal-footer justify-content-between">
                                    <button type="button" onclick="generateToken()" class="btn btn-info">Generate Token</button>
                                    <button type="button" onclick="copyToken()" class="btn btn-primary">Apply Token</button>
                                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>

                                </div>
                            </div>
                                <!-- /.modal-content -->
                        </div>
                            <!-- /.modal-dialog -->
                    </div>
                        <!-- second modal -->
                    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">

                                <div class="modal-body">
                                    are you sure you want to apply token?
                                    <p class="text-warning"> warning: you have to change your token in mobile devices also</p>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" onclick="applyToken()" class="btn btn-primary">yes</button>
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>

                                </div>
                            </div>
                        </div>
                    </div>
                <!-- </div> -->
                <!--  -->
            </div>        
        </div>     
    </section>   
</div>
<!-- /.content-wrapper -->


<script type="text/javascript">
    function generateToken() {

         var characters = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';

         var length = 12
         var result = ' ';
         var charactersLength = characters.length;
         for (let i = 0; i < length; i++) {
             result += characters.charAt(Math.floor(Math.random() * charactersLength));
         }

         document.getElementById("generateBox").value = result;

     }

     function copyToken() {


         $('#modal-default').modal('hide');
         $('#exampleModal').modal('show');
     }

     function applyToken() {
         var generateBox = document.getElementById("generateBox")
         var tokenBox = document.getElementById("tokenBox")
         var result = generateBox.value;

         document.getElementById("tokenBox").value = generateBox.value;
         generateBox.value = ""
         $('#exampleModal').modal('hide');
}
</script>
  @endsection


            