@extends('layouts.admin_layout.admin_layout')
@section('content')
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper custom-content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>All Notifications</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{ url('admin/dashboard') }}" style="color: #87888C">Home</a></li>
                        <li class="breadcrumb-item">All Notifications</li>
                    </ol>
                </div>
            </div>
        </div>
    </section>

    <section class="content text-white">
        <div class="row">
            <div class="col-md-12">
                <x-alert />
                <div class="card custom-card">
                    <div class="card-header">
                        <div class="row">
                            <div class="col-12 d-flex align-items-center">
                                <h3 class="card-title col-sm-12">All Notifications</h3>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                      <p class="text-success text-center">{{session('success')}}</p>
                        <div class="table-responsive">
                            <table id="story" class="table table-bordered" style="border: 1px solid #42484D">
                                <thead style="border: 1px solid #42484D">
                                    <tr style="height: 20px; max-height: 40px; border: 1px solid #42484D;">
                                        <th style="width: 20px; border: 1px solid #42484D;">SI</th>
                                        <th style="width: 270px; border: 1px solid #42484D;">Title</th>
                                        <th style="width: 270px; border: 1px solid #42484D;">Message</th>
                                        <th style="width: 20px; border: 1px solid #42484D">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                  @foreach ($notificationsList as $notification)
                                        <tr>
                                          <td class="">{{ $no++ }}</td>
                                          <td class="">
                                            {{ $notification->title }}
                                          </td>
                                          <td class="">
                                            {{ $notification->message }}
                                          </td>
                                          <td class="">
                                   
                                            <form action="{{ route('notifications.destroy', $notification->id)  }}" method="post" class="d-inline">
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-sm btn-danger" style="background-color: #EC4A5E; color: white; border: none;" onclick="return confirm('Are you sure you want to delete this notification?')">Delete</button>
                                            </form>
                                          </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
@endsection
