@extends('layouts.admin_layout.admin_layout')
@section('content')
<div class="content-wrapper custom-content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Notification</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{ url('admin/dashboard') }}" style="color: #87888C;">Home</a></li>
                        <li class="breadcrumb-item">Notification</li>
                    </ol>
                </div>
            </div>
        </div>
    </section>
    
    <div class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card custom-card card-primary">
                        <x-alert />
                        <form method="post" action="{{ url('admin/notifications/send')}}" enctype="multipart/form-data">
                        {{ csrf_field() }}
                            <div class="card-body">
                                <div class="form-group">
                                    <label for="title">Title</label>
                                    <input type="text"  name="title" class="form-control custom-input" id="title" placeholder="Title">
                                </div>
                                <div class="form-group">
                                    <label for="message">Message</label>
                                    <textarea type="text" name="message" class="form-control custom-input" id="message" placeholder="Message"></textarea>
                                </div>
                                <div class="form-group">
                                    <label for="url">URL</label>
                                    <input type="text" name="url" class="form-control custom-input" id="url" placeholder="https://www.google.com/">
                                </div>
                                <div class="form-group">
                                    <label for="imageURl">Image Url</label>
                                    <input type="text" name="image_url" class="form-control custom-input" id="imageURl" placeholder=" https://xxxxxxxx.jpg/png/"></input>
                                </div>

                                <div class="form-group">
                                    <label for="recipient">Users</label>
                                    <select class="form-control custom-input" id="recipient" name="recipient">
                                        <option value="all">All</option>
                                        <option value="pro">Premium</option>
                                        <option value="guest">Guest</option>        
                                    </select>
                                </div>

                                <div class="form-group">
                                    <button  type="submit" class="custom-submit">Send Notification</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection