@extends('layouts.admin_layout.admin_layout')
@section('content')
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
<div class="content-wrapper custom-content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Manage Pricing</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{ url('admin/dashboard') }}" style="color: #87888C">Home</a></li>
                        <li class="breadcrumb-item">Manage Pricing</li>
                    </ol>
                </div>
            </div>
        </div>
    </section>
    <!-- Main content -->
    <section class="content text-white">
        <div class="container-fluid">
          <div class="row">
            <div class="col-12">
              <div class="card custom-card">
                <div class="card-header">
                  <div class="row">
                    <div class="col-12">
                      <h3 class="card-title col-sm-6">Manage Pricing</h3>
                    </div>
                  </div>
                </div>
                <!-- /.card-header -->
              <div class="card-body table-responsive p-0">
                <table class="table table-bordered" style="border: 1px solid #42484D">
                  <thead style="border: 1px solid #42484D">
                    <tr style="border: 1px solid #42484D">
                      <th style="border: 1px solid #42484D">SI</th>
                      <th style="border: 1px solid #42484D">Package Name</th>
                      <th style="border: 1px solid #42484D">Price</th>
                      <!-- <th style="border: 1px solid #42484D">Allotted Tokens</th> -->
                      <th style="border: 1px solid #42484D">Duration in Months</th>
                      <th style="border: 1px solid #42484D">Created On</th>
                      <!-- <th style="border: 1px solid #42484D">Character Limit</th> -->
                      <th style="border: 1px solid #42484D" class="pl-4">Action</th>
                    </tr>
                  </thead>
                  <tbody >
                    @foreach ($packages as $package)
                    <tr>
                      <td>{{ $no++ }}</td>
                      <td>{{ $package->name }}</td>
                      <td>{{ $package->pak_pric }}</td>
                      <!-- <td>{{ $package->token_amout }}</td> -->
                      <td>{{ $package->pak_dua }}</td>
                      <td>{{ date('Y-m-d', strtotime($package->created_at)) }}</td>
                      <!-- <td>{{ $package->carecte_limit }}</td> -->
                      <td class="pl-4">
                        <a href="{{ url('admin/package_edit/'.$package->id) }}" class="btn btn-sm btn-primary mr-1"  style="background-color: #7CA8FF; color: white; border: none;">Edit</a>
                        @if($package->status == 'active')
                        <!-- Show active icon and link to set it to inactive -->
                        <a href="{{ url('admin/package_inactive/'.$package->id) }}" class="btn btn-sm btn-danger" style="background-color: #EC4A5E; color: white; border: none;" role="button" onclick="return confirm('Are you sure want to Inactive?')">
                          Inactive
                        </a>
                        @else
                        <!-- Show inactive icon and link to set it to active -->
                        <a href="{{ url('admin/package_active/'.$package->id) }}" class="btn btn-sm btn-success" style="background-color: #78D062; color: white; border: none;" role="button" onclick="return confirm('Are you sure want to Active?')">
                          Active
                        </a>
                        @endif
                      </td>
                    </tr>
                    @endforeach
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
</div>
@endsection