@extends('layouts.admin_layout.admin_layout')
@section('content')
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Manage Pricing</h1>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="{{url('admin/dashboard')}}">Home</a></li>
            <li class="breadcrumb-item active">Manage Pricing</li>
          </ol>
        </div>
      </div>
    </div><!-- /.container-fluid -->
  </section>

  <!-- Main content -->
  <section class="content">
    <div class="row justify-content-center">
      <div class="col-md-11">
        <x-alert />
        <div class="card">
          <div class="card-header">
            <h3 class="card-title">Manage Pricing</h3>

            <!-- <a href="{{ url('admin/category_create') }}" style="max-width: 150px; float:right; display:inline-block;" 
                class="btn btn-block btn-primary"><i class="fas fa-plus"></i>Add</a> -->
          </div>
          <!-- /.card-header -->
          <div class="card-body">
          <div class="table-responsive">

            <table id="Priceplana" class="table table-bordered table-hover">
              <thead>
                <tr>
                  <th style="width: 30px; " class="table-row">Sl.No</th>
                  <th class="table-row">Package Name</th>
                  <th class="table-row">Price</th>
                  <th class="table-row">Allotted Tokens</th>
                  <th class="table-row">Duration in Months</th>
                  <th class="table-row">Created On</th>
                  <th class="table-row">Character Limit</th>
                  <th class="table-row">Actions</th>

                </tr>
              </thead>
              <tbody>
                @foreach($packegs as $packeg)
                <tr>

                  <td class="table-row">{{ $no++ }}</td>
                  <td class="table-row">{{$packeg->name}}</td>
                  <td class="table-row">{{$packeg->pak_pric}}</td>
                  <td class="table-row">{{$packeg->token_amout}}</td>
                  <td class="table-row">{{$packeg->pak_dua}}</td>
                  <td class="table-row">{{ date('Y-m-d', strtotime($packeg->created_at)) }}</td>
                  <td class="table-row">{{$packeg->carecte_limit}}</td>

                  <td class="table-row">
                    <!-- Edit icon and link to the edit page -->
                    <a href="{{ url('admin/package_edit/'.$packeg->id) }}" class="btn btn-success custom-btn" role="button">
                      <i class="material-icons option-icon custom-icon">mode_edit</i>
                    </a>
                    <span style="margin: 0 10px;"></span> 

                    @if($packeg->status == 'active')
                    <!-- Show active icon and link to set it to inactive -->
                    <a href="{{ url('admin/package_inactive/'.$packeg->id) }}" class="btn btn-danger custom-btn " role="button" onclick="return confirm('Are you sure want to Inactive?')">
                      <i class="material-icons option-icon custom-icon">close</i>
                    </a>
                    @else
                    <!-- Show inactive icon and link to set it to active -->
                    <a href="{{ url('admin/package_active/'.$packeg->id) }}" class="btn btn-success custom-btn" role="button" onclick="return confirm('Are you sure want to Active?')">
                      <i class="material-icons option-icon custom-icon">check</i>
                    </a>
                    @endif

                    
                  </td>

                </tr>
                @endforeach

              </tbody>
            </table>
          </div>
          </div>
        </div>
      </div>
    </div>
  </section>
</div>
<!-- /.content-wrapper -->
@endsection