@extends('layouts.admin_layout.admin_layout')
@section('content')
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0 text-dark">Add Server</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{ url('admin/dashboard') }}">Home</a></li>
                        <li class="breadcrumb-item active">Add Server</li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card card-primary">
                        <br>
                        <x-alert />
                        <form action="{{ route('prompts.store') }}" method="post" enctype="multipart/form-data">
                            @csrf
                            
                            <div class="card-body">
                                <div class="form-group">
                                    <label for="country_name">Country Name</label>
                                    <select name="country_name" id="country_name" class="form-control">
                                        <option value="">---select county name----</option>
                                        {{-- <option value="">Bangladesh</option> --}}
                                         @foreach ($categories as $category)
                                        <option value="{{ $category->id }}">{{ $category->name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                                
                                {{-- <div class="form-group">
                                    <label for="flag_logo">Flag Logo</label>
                                    <select name="flag_logo" id="flag_logo" class="form-control">
                                        {{-- <option value="" disabled selected>-----Select A Logo------</option> --}}
                                        {{-- <option value="">-----Select A Logo------</option> --}}
                                        {{-- <option value=""  selected>Logo1</option> --}}
                                        
                                        {{-- @foreach ($categories as $category)
                                        <option value="{{ $category->id }}">{{ $category->flag_name }}</option>
                                        @endforeach --}}

                                    
                                    {{-- </select>
                                </div> --}} 
                                <div class="form-group">
                                    <label for="country_vpn">Country Vpn</label>
                                    <input type="text" class="form-control" name="country_vpn" id="country_vpn">
                                </div>
                                <div class="form-group">
                                    <label for="server_name">Server Name</label>
                                    <input type="text" class="form-control" name="server_name" id="server_name">
                                </div>
                                <div class="form-group">
                                    <label for="vpn_username">Vpn Username</label>
                                    <input type="text" class="form-control" name="vpn_username" id="vpn_username">
                                </div>
                                <div class="form-group">
                                    <label for="vpn_password">Vpn Password</label>
                                    <input type="text" class="form-control" name="vpn_password" id="vpn_password">
                                </div>
                                <div class="form-group">
                                    <label for="udp">Ovpn Config Script [UDP]</label>
                                    <textarea class="form-control" name="udp" id="udp" rows="3"></textarea>
                                </div>
                                <div class="form-group">
                                    <label for="tcp">Ovpn Config Script [TCP]</label>
                                    <textarea class="form-control" name="tcp" id="tcp" rows="3"></textarea>
                                </div>
                                
                                <div class="form-group">
                                    <label for="provide_to">Provide To</label>
                                    <select name="provide_to" id="provide_to" class="form-control">
                                        <option value="" disabled selected>Select a category</option>
                                        <option value=""  selected>Free Server</option>
                                        <option value=""  selected>Premium Server</option>
                                        
                                        {{-- @foreach ($categories as $category)
                                        <option value="{{ $category->id }}">{{ $category->name }}</option>
                                        @endforeach --}}

                                    
                                    </select>
                                </div>
                                <div class="">
                                    <button type="submit" class="btn btn-sm  mr-1" style="background-color: #BEEB85; color: black; font-weight: bold; border: none;">Add Server</button>
                                    <a href="{{ url('admin/dashboard') }}" class="btn btn-sm btn-danger">Cancel</a>
                                </div>
                            </div>
                            
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
@endsection
