@extends('layouts.admin_layout.admin_layout')
@section('content')
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1>Manage Pricing</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="{{ url('admin/dashboard') }}">Home</a></li>
                            <li class="breadcrumb-item active">Promts</li>
                        </ol>
                    </div>
                </div>
            </div><!-- /.container-fluid -->
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="row justify-content-center">
                <div class="col-md-11">
                    <x-alert />
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">Manage Pricing</h3>

                            <a href="{{ url('admin/prompts/create') }}"
                                style="max-width: 150px; float:right; display:inline-block;"
                                class="btn btn-block btn-primary"><i class="fas fa-plus"></i>Add</a>
                        </div>
                        <!-- /.card-header -->
                        <div class="container">
                            <h2>Prompts</h2>

                            <table id="Priceplana" class="table table-bordered table-hover">
                                <thead class="text-center">
                                    <tr>
                                        <th>ID</th>
                                        <th>Category</th>
                                        <th>Title</th>
                                        <th>Image</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody class="text-center">
                                    @foreach ($prompts as $prompt)
                                        <tr>
                                            <td>{{ $prompt->id }}</td>
                                            <td>{{ $prompt->category->name }}</td>
                                            <td>{{ $prompt->title }}</td>
                                            <td>
                                                <img src="{{ asset('storage/' . $prompt->image_url) }}" alt="Logo" style="height: 100px;">
                                            </td>
                                            <td>

                                                <a href="{{ route('prompts.edit', $prompt->id) }}" class="btn btn-sm btn-primary">Edit</a>

                                                <form action="{{ route('prompts.destroy', $prompt->id)  }}" method="post" class="d-inline">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button type="submit" class="btn btn-sm btn-danger" onclick="return confirm('Are you sure you want to delete this pricing?')">Delete</button>
                                                </form>


                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>




                    </div>
                </div>
            </div>
        </section>
    </div>
    <!-- /.content-wrapper -->
@endsection
