@extends('layouts.admin_layout.admin_layout')
@section('content')
<div class="content-wrapper custom-content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0">Edit Country</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{ url('admin/dashboard') }}" style="color: #87888C">Home</a></li>
                        <li class="breadcrumb-item">Edit Country</li>
                    </ol>
                </div>
            </div>
        </div>
    </div>

    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card custom-card card-primary">
                        <br>
                        <x-alert />

                        <form name="tvcategoryForm" id="tvcategoryForm" action="{{ url('admin/country/update', ['id' => $category->id]) }}" method="post" enctype="multipart/form-data">
                            @csrf
                        <div class="card-body">
                            <div class="form-group">
                                <label for="name">Category Name</label>
                                <input type="text" class="form-control custom-input" id="name" name="name" value="{{ $category->name}}" placeholder="Enter name">
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="form-group">
                                <label for="flag_name">Flag Logo</label>
                                <input type="file" class="form-control custom-input" id="flag_name" name="flag_name" value="{{ $category->flag_name}}" placeholder="Enter name">
                                <img src="{{asset($category->flag_name)}}" alt="Logo" style="height: 70px;" class="py-2">
                            </div>
                        </div>
                        
                        <div class="card-body">
                            <button type="submit" class="custom-submit">Update</button>
                        </div>
                        </form>
                    </div>
                    <!-- /.card -->

                </div>
                <!-- /.row -->
            </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->

</div>
<!-- /.content-wrapper -->

@endsection
