@extends('layouts.admin_layout.admin_layout')
@section('content')
<div class="content-wrapper custom-content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Country</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{ url('admin/dashboard') }}" style="color: #87888C">Home</a></li>
                        <li class="breadcrumb-item">Country</li>
                    </ol>
                </div>
            </div>
        </div>
    </section>
    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
          <div class="row">
            <div class="col-12">
              <div class="card custom-card">
                <div class="card-header">
                  <div class="row">
                    <div class="col-12 d-flex align-items-center">
                      <h3 class="card-title col-sm-6">Country</h3>
                      <div class="col-sm-6 text-right">
                        <a href="{{ url('admin/country/create') }}" class="btn btn-success" style="background-color: #D3DB8C; color: black; font-weight: bold; border: none;"><strong style="font-size: 20px;">+</strong> Add</a>
                      </div>
                    </div>
                  </div>
                </div>
                <!-- /.card-header -->
              <div class="card-body table-responsive p-0">
                <p class="text-success text-center">{{session('success')}}</p>
                <table class="table table-bordered" style="border: 1px solid #42484D">
                  <thead style="border: 1px solid #42484D">
                    <tr style="border: 1px solid #42484D">
                      <th style="border: 1px solid #42484D">Country Name</th>
                      <th style="border: 1px solid #42484D">Flag Logo</th>
                      <th style="border: 1px solid #42484D" class="pl-4">Action</th>
                    </tr>
                  </thead>
                  <tbody >
                    @foreach ($categories as $category)
                    <tr>
                      <td>{{ $category->name }}</td>
                      <td>
                        <img src="{{asset($category->flag_name)}}" alt="Logo" style="height: 70px; width: 110px;">
                      </td>
                      <td class="pl-4">
                        <a href="{{ url('admin/country/edit/' . $category->id) }}" class="btn btn-sm btn-primary mr-1"  style="background-color: #7CA8FF; color: white; border: none;">Edit</a>
                        <form action="{{ route('country.destroy', ['id' => $category->id])}}" method="post" class="d-inline">
                            @csrf
                            @method('DELETE')
                            <button type="submit" class="btn btn-sm btn-danger" style="background-color: #EC4A5E; color: white; border: none;" onclick="return confirm('Are you sure you want to delete this pricing?')">Delete</button>
                        </form>
                      </td>
                    </tr>
                    @endforeach
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
</div>
@endsection