@extends('layouts.admin_layout.admin_layout')
@section('content')
<style>
    /* #country_name option[value=""] {
    display: none;
} */
</style>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0 text-dark">Add New Server</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{ url('admin/dashboard') }}">Home</a></li>
                        <li class="breadcrumb-item active">Add New Server</li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card card-primary">
                        <br>
                        <x-alert />
                        <form action="{{ route('servers.store') }}" method="post" enctype="multipart/form-data">
                            @csrf
                            
                            <div class="card-body">
                                <div class="form-group">
                                    <label for="country_name">Country Name</label>
                                    <select name="country_id" id="country_name" class="form-control">
                                        <option selected>Select County Name---</option>
                                    </select>

                                </div>
                              
                                <div class="form-group">
                                    <label for="country_vpn">Country Vpn</label>
                                    <input type="text" class="form-control" name="country_vpn" id="country_vpn">
                                </div>
                                <div class="form-group">
                                    <label for="server_name">Server Name</label>
                                    <input type="text" class="form-control" name="server_name" id="server_name">
                                </div>
                                <div class="form-group">
                                    <label for="vpn_username">Vpn Username</label>
                                    <input type="text" class="form-control" name="vpn_username" id="vpn_username">
                                </div>
                                <div class="form-group">
                                    <label for="vpn_password">Vpn Password</label>
                                    <input type="password" class="form-control" name="vpn_password" id="vpn_password">
                                </div>
                                <div class="form-group">
                                    <label for="udp">Ovpn Config Script [UDP]</label>
                                    <textarea class="form-control" name="udp" id="udp" rows="3"></textarea>
                                </div>
                                <div class="form-group">
                                    <label for="tcp">Ovpn Config Script [TCP]</label>
                                    <textarea class="form-control" name="tcp" id="tcp" rows="3"></textarea>
                                </div>
                                
                                <div class="form-group">
                                    <label for="provide_to">Provide To</label>
                                    <select name="provide_to" id="provide_to" class="form-control">
                                        <option selected>Select Server Type---</option>
                                        <option value="free"  selected>Free Server</option>
                                        <option value="premium"  selected>Premium Server</option>                                    
                                    </select>
                                </div>
                                <div class="">
                                    <button type="submit" class="btn btn-sm  mr-1" style="background-color: #BEEB85; color: black; font-weight: bold; border: none;">Add Server</button>
                                    <a href="{{ url('admin/dashboard') }}" class="btn btn-sm btn-danger">Cancel</a>
                                </div>
                            </div>
                            
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>

<script>
    $(document).ready(function() {
        function categoryData() {
            $.ajax({
                type: "GET",
                url: "{{ route('servers.create') }}",
                success: function(response) {
                    console.log(response);
                    populateSelect(response.categories);
                },
                error: function() {
                    console.log("Ajax request failed");
                }
            });
        }

        categoryData();

        function populateSelect(categories) {
        var select = $('#country_name');
    
        $.each(categories, function(index, category) {
            var imagePath = '{{ asset("/") }}'  + category.flag_name;
            var option = $('<option>', {
                value: category.id,
                'data-imagesrc': imagePath,
                text: category.name,
            });
            select.append(option);
        });
    
        select.select2({
            templateResult: formatCountry,
            placeholder: 'Select a country',
        });
    
}


        function formatCountry(option) {
            if (!option.id) {
                return option.text;
            }

            var ob = $('<span><img src="' + $(option.element).data('imagesrc') + '" class="flag-icon" style="height: 20px; width: 40px; padding-right: 10px;" /> ' + option.text + '</span>');
            return ob;
        }
});
</script>
@endsection