@extends('layouts.admin_layout.admin_layout')
@section('content')
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0 text-dark">Edit Server</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{ url('admin/dashboard') }}">Home</a></li>
                        <li class="breadcrumb-item active">Edit Server</li>
                    </ol>
                </div>
            </div>
        </div>
    </div>

    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card card-primary">
                    @if($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif
                    <form action="{{ route('servers.update', $server->id) }}" method="post" enctype="multipart/form-data">
                    @csrf
                    @method('POST')
                        <div class="card-body">
                            <div class="form-group">
                                <label for="country_name">Country Name</label>
                                <select name="country_id" id="country_name" class="form-control">
                                    <option value="" disabled>Select a category</option>
                                    @foreach ($countries as $country)
                                        <option value="{{ $country->id }}" {{ $server->country_id == $country->id ? 'selected' : '' }}>
                                            {{ $country->name }}
                                        </option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="form-group">
                                    <label for="country_vpn">Country Vpn</label>
                                    <input type="text" class="form-control" name="country_vpn" id="country_vpn" value="{{ old('country_vpn', $server->country_vpn) }}">
                                    @error('country_vpn')
                                    <span class="text-danger">{{ $message }}</span>
                                    @enderror
                                </div>
                                <div class="form-group">
                                    <label for="server_name">Server Name</label>
                                    <input type="text" class="form-control" name="server_name" id="server_name" value="{{ old('server_name', $server->server_name) }}">
                                    @error('server_name')
                                    <span class="text-danger">{{ $message }}</span>
                                    @enderror
                                </div>
                                <div class="form-group">
                                    <label for="vpn_username">Vpn Username</label>
                                    <input type="text" class="form-control" name="vpn_username" id="vpn_username" value="{{ old('vpn_username', $server->vpn_username) }}">
                                    @error('vpn_username')
                                    <span class="text-danger">{{ $message }}</span>
                                    @enderror
                                </div>
                                <div class="form-group">
                                    <label for="vpn_password">Vpn Password</label>
                                    <input type="text" class="form-control" name="vpn_password" id="vpn_password" value="{{ old('vpn_password', $server->vpn_password) }}">
                                    @error('vpn_password')
                                    <span class="text-danger">{{ $message }}</span>
                                    @enderror
                                </div>
                                <div class="form-group">
                                    <label for="udp">Ovpn Config Script [UDP]</label>
                                    <textarea class="form-control" name="udp" id="udp" rows="3">{{ old('udp', $server->udp) }}</textarea>
                                    @error('udp')
                                    <span class="text-danger">{{ $message }}</span>
                                    @enderror
                                </div>
                                <div class="form-group">
                                    <label for="tcp">Ovpn Config Script [TCP]</label>
                                    <textarea class="form-control" name="tcp" id="tcp" rows="3">{{ old('tcp', $server->tcp) }}</textarea>
                                    @error('tcp')
                                    <span class="text-danger">{{ $message }}</span>
                                    @enderror
                                </div>
                                
                                <div class="form-group">
                                    <label for="provide_to">Provide To</label>
                                    <select name="provide_to" id="provide_to" class="form-control">
                                        <option selected>Select Server Type---</option>
                                        <option value="free" {{ $server->provide_to == 'free' ? 'selected' : '' }}>Free Server</option>
                                        <option value="premium" {{ $server->provide_to == 'premium' ? 'selected' : '' }}>Premium Server</option>                                    
                                    </select>
                                </div>
                        </div>
                        <div class="card-footer">
                            <button type="submit" class="btn btn-success" style="background-color: #BEEB85; color: black; font-weight: bold; border: none;">Update Server</button>
                        </div>
                    </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
@endsection
