@extends('layouts.admin_layout.admin_layout')
@section('content')
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper custom-content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>All Servers</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{ url('admin/dashboard') }}" style="color: #87888C">Home</a></li>
                        <li class="breadcrumb-item">All Servers</li>
                    </ol>
                </div>
            </div>
        </div>
    </section>

    <section class="content text-white">
        <div class="row">
            <div class="col-md-12">
                <x-alert />
                <div class="card custom-card">
                    <div class="card-header">
                        <div class="row">
                            <div class="col-12 d-flex align-items-center">
                                <h3 class="card-title col-sm-6">All Servers</h3>
                                <div class="col-sm-6 text-right">
                                  <a href="{{ url('admin/servers/create') }}" class="btn btn-success" style="background-color: #D3DB8C; color: black; font-weight: bold; border: none;"><strong style="font-size: 20px;">+</strong> Add</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                      <p class="text-success text-center">{{session('success')}}</p>
                        <div class="table-responsive">
                            <table id="story" class="table table-bordered" style="border: 1px solid #42484D">
                                <thead style="border: 1px solid #42484D">
                                    <tr style="height: 20px; max-height: 40px; border: 1px solid #42484D;">
                                        <th style="width: 270px; border: 1px solid #42484D;" class="table-row">Sl</th>
                                        <th style="width: 270px; border: 1px solid #42484D;" class="table-row">Server Name</th>
                                        <th style="width: 270px; border: 1px solid #42484D;" class="table-row">Country</th>
                                        <th style="width: 120px; border: 1px solid #42484D;" class="table-row">Username</th>
                                        <th class="width: 250px;  table-row" style="border: 1px solid #42484D">Password</th>
                                        <th class="width: 250px;  table-row" style="border: 1px solid #42484D">Is Pro?</th>
                                        <th class="width: 250px;  table-row" style="border: 1px solid #42484D">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                  @foreach ($allServers as $server)
                                        <tr style="height: 30px; max-height: 40px;">
                                          <td class="table-row">{{ $no++ }}</td>
                                          <td class="table-row">{{ $server->server_name }}</td>
                                          <td class="table-row">{{ $server->country_name }}</td>
                                          <td>{{ $server->vpn_username }}</td>
                                          <td class="table-row">{{ $server->vpn_password }}</td>
                                          <td class="table-row">
                                            @if($server->provide_to == 'premium')
                                              Yes
                                            @else
                                              No
                                            @endif
                                          </td>
                                          <td class="table-row">
                                            <a href="{{ route('servers.edit', $server->id) }}" class="btn btn-sm btn-primary mr-1"  style="background-color: #7CA8FF; color: white; border: none;">Edit</a>
                                            <form action="{{ route('servers.destroy', $server->id)  }}" method="post" class="d-inline">
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-sm btn-danger" style="background-color: #EC4A5E; color: white; border: none;" onclick="return confirm('Are you sure you want to delete this server?')">Delete</button>
                                            </form>
                                          </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
@endsection
