@extends('layouts.admin_layout.admin_layout')

@section('content')
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <!-- ... Your existing content header code ... -->

    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <x-alert/>
            <!-- SELECT2 EXAMPLE -->
            <div class="card card-default">
                <div class="card-header">
                    <h3 class="card-title">Settings</h3>
                </div>
                <!-- /.card-header -->
                <div class="card-body">
                    <div class="row">
                        <div class="col-sm-12">
                            <ul class="nav nav-tabs" id="settingsTab" role="tablist">
                                <li class="nav-item">
                                    <a class="nav-link active" id="sms-tab" data-toggle="tab" href="#sms" role="tab"
                                        aria-controls="sms" aria-selected="true">SMS Providers</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="payment-tab" data-toggle="tab" href="#payment" role="tab"
                                        aria-controls="payment" aria-selected="false">Payment Settings</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="openai-tab" data-toggle="tab" href="#openai" role="tab"
                                        aria-controls="openai" aria-selected="false">OpenAI API Settings</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="general-tab" data-toggle="tab" href="#general" role="tab"
                                        aria-controls="general" aria-selected="false">General Settings</a>
                                </li>
                            </ul>
                            <div class="tab-content" id="settingsTabContent">
                                <div class="tab-pane fade show active" id="sms" role="tabpanel" aria-labelledby="sms-tab">
                                    @include('admin.settings.sms')
                                </div>
                                <div class="tab-pane fade" id="payment" role="tabpanel"
                                    aria-labelledby="payment-tab">
                                    @include('admin.settings.payment')
                                </div>
                                <div class="tab-pane fade" id="openai" role="tabpanel" aria-labelledby="openai-tab">
                                    @include('admin.settings.openai')
                                </div>
                                <div class="tab-pane fade" id="general" role="tabpanel"
                                    aria-labelledby="general-tab">
                                    @include('admin.settings.general')
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
<!-- /.content-wrapper -->

<script type="text/javascript">
    // ... Your existing JavaScript code ...

    // Function to handle tab change
    function handleTabChange(tabId) {
        const tabs = document.querySelectorAll(".nav-link");
        tabs.forEach(tab => tab.classList.remove("active"));
        document.getElementById(tabId).classList.add("active");

        const tabPanes = document.querySelectorAll(".tab-pane");
        tabPanes.forEach(pane => pane.classList.remove("show", "active"));
        document.getElementById(`${tabId}-tab`).classList.add("show", "active");
    }

    // Event listeners for tab change
    const tabs = document.querySelectorAll(".nav-link");
    tabs.forEach(tab => {
        tab.addEventListener("click", () => {
            const tabId = tab.getAttribute("href").substr(1);
            handleTabChange(tabId);
        });
    });
</script>
@endsection
