@extends('layouts.admin_layout.admin_layout')
@section('content')

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper custom-content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Settings</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{url('admin/dashboard')}}" style="color: #87888C;">Home</a></li>
                        <li class="breadcrumb-item">Settings</li>
                    </ol>
                </div>
            </div>
        </div>
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <x-alert />
            <div class="card custom-content-wrapper card-default">
                <div class="card-header">
                    <h3 class="card-title">Settings</h3>
                </div>
                <form name="storyForm" id="storyForm" action="{{ url('admin/general-settings/update') }}" method="post" enctype="multipart/form-data">@csrf
                    <div class="card-body custom-card mb-3">
                        <div class="row ">
                            <div class="col-sm-12">

                                <div class="center-container ">
                                    <p class="centered-text">Notification Settings</p>
                                </div>
                                <div class="form-group ">
                                    <label for="app_fcm_key">FCM Server Key</label>
                                    <input type="text" class="form-control custom-input" id="app_fcm_key" name="app_fcm_key" value="{{$settings->app_fcm_key}}" placeholder="Enter Key">
                                </div>
                                <div class="form-group">
                                    <label for="one_signal">One Signal</label>
                                    <input type="text" class="form-control custom-input" id="one_signal" name="one_signal" value="{{$settings->one_signal}}" placeholder="Enter One Signal">
                                </div>
                                <br>
                            </div>
                        </div>
                    </div>
                    <div class="card-body custom-card mb-3">
                        <div class="row">
                            <div class="col-sm-12">
                                <!-- App versions -->
                                <div class="center-container">
                                    <p class="centered-text">App Versions</p>
                                </div>
                                <div class="form-group">
                                    <label for="app_version">App Versions</label>
                                    <input type="text" class="form-control custom-input" id="app_version" name="app_version" value="{{$settings->app_version}}" placeholder="Enter version">
                                </div>
                                <br>
                            </div>
                        </div>
                    </div>
                    <div class="card-body custom-card mb-3">
                        <div class="row">
                            <div class="col-sm-12">
                                <!-- Free Tokens -->
                                <div class="center-container">
                                    <p class="centered-text">FAQ and Contact Us URL</p>
                                </div>
                                <div class="form-group">
                                    <label for="faq_url">FAQ URL</label>
                                    <input type="text" class="form-control custom-input" id="faq_url" name="faq_url" value="{{$settings->faq_url}}" placeholder="Enter FAQ URL">
                                </div>

                                <div class="form-group">
                                    <label for="contact_url">Contact Us URL</label>
                                    <input type="text" class="form-control custom-input" id="contact_url" name="contact_url" value="{{$settings->contact_url}}" placeholder="Enter Contact URL">
                                </div>
                                
                                <br>
                            </div>
                        </div>
                    </div>
                    <div class="card-body custom-card mb-3">
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="center-container">
                                    <p class="centered-text">Privacy Policy and Terms Conditions</p>
                                </div>
                                <div class="form-group">
                                    <label for="privacy_policy">Privacy Policy Url</label>
                                    <textarea name="privacy_policy" id="privacy_policy" class="form-control custom-input" placeholder="Privacy Policy">{{$settings->privacy_policy}}</textarea>
                                </div>
                                <div class="form-group">
                                    <label for="terms_conditions">Terms and Conditions Url</label>
                                    <textarea name="terms_conditions" id="terms_conditions" class="form-control custom-input" placeholder="Terms and Conditions">{{$settings->terms_conditions}}</textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card-footer">
                        <button type="submit" class="custom-submit">Update</button>
                        <a href="{{ url('admin/dashboard') }}" class="custom-cancel ml-2">Cancel</a>
                    </div>
                </form>
            </div>
        </div>
    </section>
</div>
@endsection
