@extends('layouts.admin_layout.admin_layout')
@section('content')

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper custom-content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>OTP Mail Configuration</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{url('admin/dashboard')}}"  style="color: #87888C;">Home</a></li>
                        <li class="breadcrumb-item">OTP Mail Configuration</li>
                    </ol>
                </div>
            </div>
        </div>
    </section>


    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <x-alert />
            <div class="card custom-card card-default">
                <div class="card-header">
                    <h3 class="card-title">OTP Mail Configuration</h3>
                </div>
                <form name="storyForm" id="storyForm" action="{{ url('admin/settings/update/otp-mail') }}" method="post" enctype="multipart/form-data">@csrf
                    <div class="card-body">
                        <div class="row ">
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <label for="mail_host">Mail Host</label>
                                    <input type="text" class="form-control custom-input" id="mail_host" name="mail_host" value="{{ $otpMail->mail_host }}" placeholder="Mail Host">
                                </div>
                                <br class="hidden-div">
                                <div class="form-group">
                                    <label for="mail_port">Mail Port</label>
                                    <input type="text" class="form-control custom-input" id="mail_port" name="mail_port" value="{{ $otpMail->mail_port }}" placeholder="Mail Port">
                                </div>
                                <br>
                                <div class="form-group">
                                    <label for="mail_username">Mail Username</label>
                                    <input type="text" class="form-control custom-input" id="mail_username" name="mail_username" value="{{ $otpMail->mail_username }}" placeholder="Mail Username">
                                </div>
                                <br>
                                <div class="form-group">
                                    <label for="mail_password">Mail Password</label>
                                    <input type="text" class="form-control custom-input" id="mail_password" name="mail_password" value="{{ $otpMail->mail_password }}" placeholder="Mail Password">
                                </div>
                                <br>
                                <div class="form-group">
                                    <label for="mail_encryption">Mail Encryption</label>
                                    <input type="text" class="form-control custom-input" id="mail_encryption" name="mail_encryption" value="{{ $otpMail->mail_encryption }}" placeholder="Mail Encryption">
                                </div>
                                <br>
                                <div class="form-group">
                                    <label for="mail_from_address">Mail From Address</label>
                                    <input type="text" class="form-control custom-input" id="mail_from_address" name="mail_from_address" value="{{ $otpMail->mail_from_address }}" placeholder="Mail From Address">
                                </div>
                                <br>
                      
                            </div>
                        </div>
                        <div class="">
                            <button  type="submit" class="custom-submit mr-2">Update</button>
                            <a href="{{ url('admin/dashboard') }}" class="custom-cancel">Cancel</a>
                        </div>
                    </div>
            </div>
    </section>
</div>
<!-- /.content-wrapper -->


@endsection