@extends('layouts.admin_layout.admin_layout')
@section('content')
<div class="content-wrapper custom-content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0">Edit Token Pricing</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{ url('admin/dashboard') }}" style="color: #87888C">Home</a></li>
                        <li class="breadcrumb-item">Edit Token Pricing</li>
                    </ol>
                </div>
            </div>
        </div>
    </div>

    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card custom-card card-primary">
                        @if ($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                        <form action="{{ route('tokens-prichings.update', $pricing->id) }}" method="post">
                            @csrf
                            @method('PUT')
                            <div class="card-body">
                                <div class="form-group">
                                    <label for="name">Name</label>
                                    <input type="text" class="form-control custom-input" name="name" id="name" value="{{ old('name', $pricing->name) }}">
                                </div>

                                <div class="form-group">
                                    <label for="tokens">Tokens</label>
                                    <input type="text" class="form-control custom-input" name="tokens" id="tokens" value="{{ old('tokens', $pricing->tokens) }}">
                                </div>

                                <div class="form-group">
                                    <label for="google_p_id">Google Product ID</label>
                                    <input type="text" class="form-control custom-input" name="google_p_id" id="google_p_id" value="{{ old('google_p_id', $pricing->google_p_id) }}">
                                </div>

                                <div class="form-group">
                                    <label for="price">Price</label>
                                    <input type="text" class="form-control custom-input" name="price" id="price" value="{{ old('price', $pricing->price) }}">
                                </div>
                            </div>
                            <div class="card-footer">
                                <button type="submit" class="custom-submit">Update Token Pricing</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
@endsection
