@extends('layouts.admin_layout.admin_layout')
@section('content')
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Manage Pricing</h1>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="{{url('admin/dashboard')}}">Home</a></li>
            <li class="breadcrumb-item active">Manage Pricing</li>
          </ol>
        </div>
      </div>
    </div><!-- /.container-fluid -->
  </section>



    <section class="content">
        <div class="row justify-content-center">
          <div class="col-md-11">
            <x-alert />
            <div class="card">
              <div class="card-header">

                <h2>Tokens Pricings</h2>
                <a href="{{ route('tokens-prichings.create') }}" class="btn btn-primary mb-2">Add New Pricing</a>

                @if(session('success'))
                    <div class="alert alert-success">
                        {{ session('success') }}
                    </div>
                @endif
                <table id="Priceplana" class="table table-bordered table-hover">
                    <thead class="text-center">
                        <tr>
                            <th>ID</th>
                            <th>Name</th>
                            <th>Tokens</th>
                            <th>Google Product ID</th>
                            <th>Price</th>
                            <th>Actions</th>
                        </tr>
                    </thead>
                    <tbody class="text-center">
                        @foreach($tokensPrichings as $pricing)
                            <tr>
                                <td>{{ $pricing->id }}</td>
                                <td>{{ $pricing->name }}</td>
                                <td>{{ $pricing->tokens }}</td>
                                <td>{{ $pricing->google_p_id }}</td>
                                <td>{{ $pricing->price }}</td>
                                <td>
                                    <a href="{{ route('tokens-prichings.edit', $pricing->id) }}" class="btn btn-sm btn-primary">Edit</a>

                                    
                                    <form action="{{ route('tokens-prichings.destroy', $pricing->id) }}" method="post" class="d-inline">
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn btn-sm btn-danger" onclick="return confirm('Are you sure you want to delete this pricing?')">Delete</button>
                                    </form>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>

              </div>
            </div>
          </div>
        </div>
      </section>



  </section>
</div>
<!-- /.content-wrapper -->
@endsection
