@extends('layouts.admin_layout.admin_layout')
@section('content')
<div class="content-wrapper custom-content-wrapper">
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Edit User</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{url('admin/dashboard')}}" style="color: #87888C">Home</a></li>
                        <li class="breadcrumb-item">Edit User</li>
                    </ol>
                </div>
            </div>
        </div>
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <x-alert />
            <div class="card custom-card card-default">
                <div class="card-header">
                    <h3 class="card-title">Edit User</h3>
                    <div class="card-tools">
                        <button type="button" class="btn btn-tool" data-card-widget="collapse"><i
                                class="fas fa-minus"></i></button>
                        <button type="button" class="btn btn-tool" data-card-widget="remove"><i
                                class="fas fa-remove"></i></button>
                    </div>
                </div>

                <form name="editVideoForm" id="editVideoForm" action="{{ route('admin.user_update', ['user' => $userData->id]) }}"
                    method="post" enctype="multipart/form-data">@csrf
                    <input type="hidden" name="user" value="{{ json_encode($userData) }}">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-12 col-sm-6">
                                <div class="form-group">
                                    <label for="name">Name</label>
                                    <input type="text" class="form-control custom-input" name="name" id="video_title"
                                        value="{{$userData->name}}" placeholder="Enter Name">
                                </div>
                            </div>
                            <!-- -->
                            <div class="col-12 col-sm-6">
                                <div class="form-group">
                                <div class="form-group">
                                    <label for="device_id">Device Id</label>
                                    <input type="text" class="form-control custom-input" name="device_id" id="device_id"
                                        value="{{$userData->device_id}}" placeholder="Enter Name" readonly>
                                </div>
                                </div>
                            </div>
                            

                        <div class="card-body">
                        <div class="row">
                            <div class="col-12 col-sm-6">
                                <div class="form-group">
                                    <label for="phone">Phone No</label>
                                    <input type="text" class="form-control custom-input" name="phone" id="phone"
                                        value="{{$userData->phone}}" placeholder="Enter phone" readonly>
                                </div>
                            </div>
                            <!-- -->


                            <div class="col-12 col-sm-6">
                                <div class="form-group">
                                    <label>Package Name</label>
                                        <select name="package_id" id="package_id" class="form-control  custom-input" style="width: 100%;">
                                        <option disabled selected value>Select an option</option>
                                            @foreach($packages as $package)
                                            @if($package->id == $userData->pack_id)
                                             <option value="{{$package->id}}" selected>{{$package->name}}</option>
                                                @else
                                                    <option value="{{$package->id}}">{{$package->name}}</option>
                                            @endif
                                            @endforeach
                                    </select>
                                </div>
                            </div>
                            
                            
                    <div lass="col-12 col-sm-6">
                        <button type="submit" class="custom-submit mr-2">Update</button>
                        <a href="{{ route('admin.users.index') }}" class="custom-cancel">Cancel</a>
                    </div>
                </form>
            </div>
        </div>
    </section>
</div>
@endsection