@extends('layouts.admin_layout.admin_layout')
@section('content')
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper custom-content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Users</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{ url('admin/dashboard') }}" style="color: #87888C">Home</a></li>
                        <li class="breadcrumb-item">Users</li>
                    </ol>
                </div>
            </div>
        </div>
    </section>

    <section class="content text-white">
        <div class="row">
            <div class="col-md-12">
                <x-alert />
                <div class="card custom-card">
                    <div class="card-header">
                        <div class="row">
                            <div class="col-12 d-flex align-items-center">
                                <h3 class="card-title col-sm-6">Users</h3>
                                <div class="col-sm-6 text-right">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table id="story" class="table table-bordered" style="border: 1px solid #42484D">
                                <thead style="border: 1px solid #42484D">
                                    <tr style="height: 20px; max-height: 40px; border: 1px solid #42484D;">
                                        <th style="width: 10px; border: 1px solid #42484D;" class="table-row">Sl.No</th>
                                        <th style="width: 270px; border: 1px solid #42484D;" class="table-row">User Full Name</th>
                                        <th style="width: 120px; border: 1px solid #42484D;" class="table-row">Phone No</th>
                                        <th class="width: 250px;  table-row" style="border: 1px solid #42484D">Package</th>
                                        <th class="width: 140px;  table-row" style="border: 1px solid #42484D">Registered On</th>
                                        <th class="width: 140px; table-row" style="border: 1px solid #42484D">Expires On</th>
                                        <th class="width: 100px; table-row" style="border: 1px solid #42484D">Credits Alloted </th>
                                        <th class="width: 100px; table-row" style="border: 1px solid #42484D">Used Credits</th>
                                        <th class="width: 100px; table-row" style="border: 1px solid #42484D">Remaining Credits</th>
                                        <th class="width: 100px; table-row" style="border: 1px solid #42484D">Tokens Alloted</th>
                                        <th class="width: 100px; table-row" style="border: 1px solid #42484D">Used</th>
                                        <th class="width: 100px; table-row" style="border: 1px solid #42484D">Remaining</th>
                                        <th class="width: 250px; table-row" style="border: 1px solid #42484D">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($users as $user)
                                        <tr style="height: 30px; max-height: 40px;">
                                            <td class="table-row">{{ $no++ }}</td>
                                            <td class="300px table-row">
                                                @if ($user->name === 'guest')
                                                    Free
                                                @else
                                                    {{ $user->name }}
                                                @endif
                                            </td>
                                            <td class="table-row">
                                                @if (isset($user->phone))
                                                    +{{ $user->phone }}
                                                @else
                                                    N/A
                                                @endif
                                            </td>
                                            <td class="table-row">
                                                @if ($user->login_mode === 'guest')
                                                    @if ($user->pack_buy_date != null)
                                                        {{ $user->pack_name ?? 'Free' }}
                                                    @else
                                                        Free
                                                    @endif
                                                @elseif(Schema::hasColumn('users', 'pack_name'))
                                                    {{ $user->pack_name }}
                                                @else
                                                    {{ $user->login_mode }}
                                                @endif
                                            </td>
                                            <td class="width: 140px; table-row">
                                                {{ $user->pack_buy_date ? date('Y-m-d', strtotime($user->pack_buy_date)) : date('Y-m-d', strtotime($user->created_at)) }}
                                            </td>
                                            <td class="width: 140px; table-row">
                                                {{ $user->pack_exp_date ? date('Y-m-d', strtotime($user->pack_exp_date)) : 'N/A' }}
                                            </td>


                                            <td class="table-row">
                                                @if ($user->token)
                                                    {{ $user->token->init_credits }}
                                                @else
                                                    No Token
                                                @endif
                                            </td>
                                            <td class="table-row">
                                                @if ($user->token)
                                                    @php
                                                        $remainingTokens = $user->token->init_credits - $user->token->credits_count;
                                                    @endphp
                                                    {{ $remainingTokens }}
                                                @else
                                                    No Token
                                                @endif
                                            </td>
                                            <td class="table-row">
                                                @if ($user->token)
                                                    {{ $user->token->credits_count }}
                                                @else
                                                    No Token
                                                @endif
                                            </td>



                                            <td class="table-row">
                                                @if ($user->token)
                                                    {{ $user->token->tokens_buy }}
                                                @else
                                                    No Token
                                                @endif
                                            </td>
                                            <td class="table-row">
                                                @if ($user->token)
                                                    @php
                                                        $remainingTokens = $user->token->tokens_buy - $user->token->token_count;
                                                    @endphp
                                                    {{ $remainingTokens }}
                                                @else
                                                    No Token
                                                @endif
                                            </td>
                                            <td class="table-row">
                                                @if ($user->token)
                                                    {{ $user->token->token_count }}
                                                @else
                                                    No Token
                                                @endif
                                            </td>


                                            <td class="table-row">
                                                <a href="{{ url('admin/user_edit/' . $user->id) }}"
                                                    class="btn btn-sm btn-success  mr-1" style="background-color: #7CA8FF; color: white; border: none;" role="button">
                                                    Edit
                                                </a>
                                                <form action="{{ route('admin.users.destroy', ['userId' => $user->id]) }}"
                                                    method="POST" style="display: inline-block;">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button type="submit"
                                                        onclick="return confirm('Are you sure you want to delete this user?')"
                                                        class="btn btn-sm btn-danger" style="background-color: #EC4A5E; color: white; border: none;" role="button">
                                                        Delete
                                                    </button>
                                                </form>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
@endsection
