<?php

use App\Http\Controllers\ChatController;
use App\Http\Controllers\TokenController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\UserController;
use App\Http\Controllers\SessionController;
use App\Http\Controllers\PackegController;
use App\Http\Controllers\SettingsController;
use App\Http\Controllers\DeviceTokenController;
use App\Http\Controllers\NotificationController;
use App\Http\Controllers\PromptsCategoryController;
use App\Http\Controllers\TokensPrichingController;
use App\Http\Controllers\AllserverController;
use App\Http\Controllers\AdvertisementController;
use App\Http\Controllers\PasswordResetController;
use App\Http\Controllers\PaymentDetailsController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/


Route::post('/users_new', [UserController::class, 'store']);

Route::post('notifications/send',[NotificationController::class,'send'] );

Route::post('login', [UserController::class, 'login'])->name('login');
Route::post('logout', [UserController::class, 'logout'])->middleware(['auth:sanctum']);

Route::get('getCategoryPrompts', [PromptsCategoryController::class, 'getAllCategoryPrompts']);

Route::get('getAllTokensPriching', [TokensPrichingController::class, 'getAllTokensPriching']);

// Reset Password Routes
Route::post('send-otp-email', [PasswordResetController::class, 'sendOtpEmail']);
Route::post('verify-otp', [PasswordResetController::class, 'verifyOtp']);
Route::post('change-password', [PasswordResetController::class, 'changePassword']);

Route::get('notifications', [NotificationController::class, 'getAllNotifications']);
//Token
Route::post('device-token/update', [DeviceTokenController::class, 'updateDeviceToken']);
// Advertisement
Route::get('/advertisement', [AdvertisementController::class, 'getAdvertisementInfo']);
Route::get('/settings',[SettingsController::class,'getAllSettings']);


Route::middleware('auth:sanctum')->group(function () {
    
    //User
    Route::post('/upgradeUser', [UserController::class, 'upgradeUser']);
    Route::post('/update-profile', [UserController::class, 'updateProfile']);


    Route::post('/loginByGoogle', [UserController::class, 'upgradeUserWithGoogle']);


    Route::get('/users', [UserController::class, 'show']);
    Route::post('/updateUserInfoUpdate', [UserController::class, 'updateUserInfoUpdate']);

    // Servers
    Route::get('servers', [AllserverController::class, 'getAllServers']);

    // Countries
    Route::get('countries', [PromptsCategoryController::class, 'getAllCountries']);


    //chats
    Route::post('/chat', [ChatController::class, 'store']);
    Route::get('chat/{session_id}', [ChatController::class, 'index']);
    Route::post('chats', [ChatController::class, 'store']);
    Route::delete('chats/{chat}', [ChatController::class, 'destroy']);

    // Route::get('chats/{chat}', 'App\Http\Controllers\ChatController@show');
    // Route::put('chats/{chat}', 'App\Http\Controllers\ChatController@update');

    //sessions
    Route::get('/get-sessions', [SessionController::class,'index' ]);
    Route::post('/sessions', [SessionController::class,'store' ]);
    Route::get('/sessions/{session}', [SessionController::class,'show']);
    Route::delete('/sessions/{session}', [SessionController::class, 'destroy']);

    // Route::put('sessions/{session}', 'App\Http\Controllers\SessionController@update');

    //pac
    Route::get('/packegs', [PackegController::class, 'indexApi']);
    Route::post('/packegs-buy', [PackegController::class, 'buyPack']);
    Route::get('/otp-settings',[SettingsController::class,'getSMSAndOTPSettings']);

    // Payment
    Route::post('payment-details/save',[PaymentDetailsController::class,'saveOrUpdatePaymentDetails']);

});

